com.lowagie.text.rtf.style

## Class RtfStylesheetList

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.style.RtfStylesheetList

- All Implemented Interfaces:
    RtfBasicElement, RtfExtendedElement, RtfElementInterface

      public class RtfStylesheetList
      extends RtfElement
      implements RtfExtendedElement

  The RtfStylesheetList stores the RtfParagraphStyles that are used in the document.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `defaultsLoaded` Whether the default settings have been loaded.
    `private java.util.HashMap` | `styleMap` The HashMap containing the RtfParagraphStyles.

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfStylesheetList(RtfDocument doc)` Constructs a new RtfStylesheetList for the RtfDocument.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfParagraphStyle` | `getRtfParagraphStyle(java.lang.String styleName)` Gets the RtfParagraphStyle with the given name.
    `private void` | `registerDefaultStyles()` Registers all default styles.
    `void` | `registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)` Register a RtfParagraphStyle with this RtfStylesheetList.
    `void` | `writeContent(java.io.OutputStream out)` unused
    `void` | `writeDefinition(java.io.OutputStream result)` Writes the definition of the stylesheet list.

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `setInHeader, setInTable, setRtfDocument`

- - ### Field Detail

    - #### styleMap

          private java.util.HashMap styleMap

      The HashMap containing the RtfParagraphStyles.

    - #### defaultsLoaded

          private boolean defaultsLoaded

      Whether the default settings have been loaded.

  - ### Constructor Detail

    - #### RtfStylesheetList

          public RtfStylesheetList(RtfDocument doc)

      Constructs a new RtfStylesheetList for the RtfDocument.
      Parameters:
        `doc` - The RtfDocument this RtfStylesheetList belongs to.

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream out)
                            throws java.io.IOException

      unused
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `out` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`

    - #### registerParagraphStyle

          public void registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)

      Register a RtfParagraphStyle with this RtfStylesheetList.
      Parameters:
        `rtfParagraphStyle` - The RtfParagraphStyle to add.

    - #### registerDefaultStyles

          private void registerDefaultStyles()

      Registers all default styles. If styles with the given name have already been registered, then they are NOT overwritten.

    - #### getRtfParagraphStyle

          public RtfParagraphStyle getRtfParagraphStyle(java.lang.String styleName)

      Gets the RtfParagraphStyle with the given name. Makes sure that the defaults have been loaded.
      Parameters:
        `styleName` - The name of the RtfParagraphStyle to get.
      Returns:
        The RtfParagraphStyle with the given name or null.

    - #### writeDefinition

          public void writeDefinition(java.io.OutputStream result)
                               throws java.io.IOException

      Writes the definition of the stylesheet list.
      Specified by:
        `writeDefinition` in interface `RtfExtendedElement`
      Parameters:
        `result` - The `OutputStream` to write the element definition to
      Throws:
        `java.io.IOException`